%define fw_version 5.43
%define oname kfilemetadata

Summary:	Plasma 5 file metadata and text extraction library
Name:		plasma5-%{oname}
Version:	5.43.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{oname}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	attr-devel
BuildRequires:	ebook-tools-devel
BuildRequires:	ffmpeg-devel
BuildRequires:	kf5archive-devel >= %{version}
BuildRequires:	kf5i18n-devel >= %{version}
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(poppler-qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(taglib)
Suggests:	catdoc
# Prefer plasma5 prefix for Plasma 5 core packages
Obsoletes:	kfilemetadata-kf5 < 5.6.1-2

%description
Plasma 5 file metadata and text extraction library.

KFileMetaData provides a simple library for extracting the text and metadata
from a number of different files. This library is typically used by file
indexers to retreive the metadata.

%files
%{_kde5_configdir}/kfilemetadata.categories
%{_kde5_plugindir}/kfilemetadata/kfilemetadata_*.so
%{_kde5_plugindir}/kfilemetadata/writers/kfilemetadata_taglibwriter.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KFileMetaData translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KFileMetaData translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5filemetadata_major 3
%define libkf5filemetadata %mklibname kf5filemetadata %{kf5filemetadata_major}

%package -n %{libkf5filemetadata}
Summary:	Plasma 5 file metadata and text extraction shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5filemetadata}
Plasma 5 file metadata and text extraction shared library.

%files -n %{libkf5filemetadata}
%{_kde5_libdir}/libKF5FileMetaData.so.%{kf5filemetadata_major}*
%{_kde5_libdir}/libKF5FileMetaData.so.%{version}*

#----------------------------------------------------------------------------

%define devkf5filemetadata %mklibname kf5filemetadata -d

%package -n %{devkf5filemetadata}
Summary:	Development files for Plasma 5 file metadata and text extraction library
Group:		Development/KDE and Qt
Requires:	%{libkf5filemetadata} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5filemetadata-devel = %{version}

%description -n %{devkf5filemetadata}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5filemetadata}
%{_kde5_includedir}/KF5/KFileMetaData
%{_kde5_libdir}/cmake/KF5FileMetaData
%{_kde5_libdir}/libKF5FileMetaData.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Tue Feb 13 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.43.0-1
- (f952fa3) New version 5.43.0

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (dc2cc38) Update files
- (Andrey Bondrov: fa85d71) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (5bd0b1f) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (f96efdb) Drop translations patch (fixed upstream)
- (Andrey Bondrov: ad6b0e7) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (a37f040) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (237f388) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (68d9783) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (ea0555c) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (778cd61) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (edc1166) New version 5.27.0

* Fri Sep 23 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-3
- (447d58d) Bump release

* Mon Sep 19 2016 Denis Silakov <denis.silakov@rosalab.ru> 5.24.0-2
- (c0daa49) BuildList#2715417: Increase release tag

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (b7d0ba1) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (fca3c7c) Update files (add kfilemetadata_taglibwriter.so)
- (Andrey Bondrov: 4e89999) Build requires pkgconfig(poppler-qt5)
- (Andrey Bondrov: 5f60d1c) Suggest catdoc
- (Andrey Bondrov: c79542c) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (7ed0521) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (fc31860) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (d24a984) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (1de7fbc) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (a6596aa) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (19b4d30) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (aa73a1c) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (6daf3b8) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (5f9f4c6) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (9be06ae) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (91f241e) MassBuild#822: Increase release tag


